数据提供商: DataForSEO
使用DataForSEO来比较多个目标对象所预计获得的Google自然搜索流量。
每次调用 $0.012 起在 30 秒内响应
估算目前在一个特定地点、使用一种特定语言的情况下,列表中列出的每个域名、子域名或页面URL通过Google搜索每月能获得多少次访问量。每个输入目标一行,包含预估自然搜索与付费流量,以及各自对应的排名关键词数。每个域名返回一个当日数值。每次调用发送一次请求,按供应商的价目表计费;空结果集会标记为无结果。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the DataForSEO endpoint /v3/dataforseo_labs/google/bulk_traffic_estimation/live on Glasser.bash
glasser run -p dataforseo -e '/v3/dataforseo_labs/google/bulk_traffic_estimation/live' -i '{"targets":["dataforseo.com","cnn.com","forbes.com"],"language_code":"en","location_code":2840}' --endpoint-version 2使用接口版本 2。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"dataforseo","endpoint":"/v3/dataforseo_labs/google/bulk_traffic_estimation/live","input":{"targets":["dataforseo.com","cnn.com","forbes.com"],"language_code":"en","location_code":2840},"endpoint_version":2}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 2,运行前请确认当前价格。
第 2 步尝试一个具体任务
审阅域名的 SEO 表现时,可以汇总可用指标,形成研究笔记中的概况。
复制此提示词到你的 Agent,整理域名的 SEO 概况。
提示词
Use dataforseo:/v3/dataforseo_labs/google/bulk_traffic_estimation/live on Glasser.
Pull returned SEO metrics for my domain into a research snapshot.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"targets"
],
"properties": {
"tag": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"targets": {
"type": "array",
"items": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"maxItems": 100,
"minItems": 1
},
"item_types": {
"type": "array",
"items": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"maxItems": 100,
"minItems": 1
},
"language_code": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"language_name": {
"type": "string"
},
"location_code": {
"type": "integer"
},
"location_name": {
"type": "string"
},
"ignore_synonyms": {
"type": "boolean"
}
},
"additionalProperties": false
}json
{
"targets": [
"dataforseo.com",
"cnn.com",
"forbes.com"
],
"language_code": "en",
"location_code": 2840
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 基础费用 | 有无匹配数据均按此价格收费。 | $0.012 |
|---|---|---|
| 每行 | 按返回的每行计费。 | $0.00012 |
| 每次运行的费用上限 | 总费用不会超过此金额。 | $0.024 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |